Endpoint Groups
Materialization and Runs
Materialization and Runs operations within the Assets API group.
List asset backfillsGET
/assets/{assetKey}/backfills
Operation ID
listAssetBackfillsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
assetKey |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
status |
AssetRunStatus |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Create asset backfillPOST
/assets/{assetKey}/backfills
Operation ID
createAssetBackfillPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
assetKey |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Get asset backfillGET
/assets/{assetKey}/backfills/{backfillId}
Operation ID
getAssetBackfillPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
assetKey |
string |
true |
- |
backfillId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List asset materializationsGET
/assets/{assetKey}/materializations
Operation ID
listAssetMaterializationsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
assetKey |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Trigger asset materializationPOST
/assets/{assetKey}/materialize
Starts a materialization run for the specified asset and returns the queued execution metadata.
Operation ID
triggerAssetMaterializationPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
assetKey |
string |
true |
- |
Request Body
- Required:
false - Content types:
application/json
Responses
| Code | Description |
|---|---|
202 |
The request has been accepted for processing, but processing has not yet completed. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List asset runsGET
/assets/{assetKey}/runs
Operation ID
listAssetRunsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
assetKey |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
status |
AssetRunStatus |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |